> For the complete documentation index, see [llms.txt](https://docs.caf.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.caf.io/caf-sdk/ios/standalone-modules/document-detector/builder/methods.md).

# Setting properties

| Parameter                                                                                                | Description                                                                                                                                         | Required |
| -------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------- | :------: |
| `mobileToken: String`                                                                                    | Token associated with your account, to use the SDK.                                                                                                 |     ✅    |
| `enableMultiLanguage: Bool`                                                                              | Enables/disables multi-language support. Default: `enabled`.                                                                                        |     ❌    |
| `setPersonId(personId: String?)`                                                                         | User identifier for fraud profile identification purposes and to assist in the identification of Analytics logs in cases of bugs and errors.        |     ❌    |
| `setDocumentCaptureFlow(flow: [DocumentDetectorStep])`                                                   | Defines the document capture flow as explained.                                                                                                     |     ✅    |
| `setPopupSettings(show: Bool)`                                                                           | Enables/disables the popups displayed before each document capture. Default: `true`.                                                                |     ❌    |
| `setLayout(layout: DocumentDetectorLayout)`                                                              | Allows overriding the default SDK layout attributes such as buttons, colors, and fonts.                                                             |     ❌    |
| `setNetworkSettings(requestTimeout: TimeInterval)`                                                       | Defines SDK's requests timeout. Default: `60` seconds.                                                                                              |     ❌    |
| `setLuminositySensorSettings(luminosityThreshold: Float?)`                                               | Defines the threshold between acceptable/unacceptable ambient brightness. Default: `-3`.                                                            |     ❌    |
| `setOrientationSensorSettings(orientationThreshold: Double?)`                                            | Defines the threshold between correct/incorrect device orientation. Higher values make it more flexible. Default: `0.3`.                            |     ❌    |
| `setStabilitySensorSettings(stabilityThreshold: Double?)`                                                | Defines stability sensor settings. Default: `0.3`.                                                                                                  |     ❌    |
| `setProxySettings(proxySettings: CafProxySettings?)`                                                     | Defines proxy settings. Default: `null`.                                                                                                            |     ❌    |
| `showPreview(show: Bool, title: String?, subtitle: String?, confirmLabel: String?, retryLabel: String?)` | Enables/disables and configures the visualization of the performed capture, requesting the user's confirmation to proceed. Default: `false`.        |     ❌    |
| `setMessageSettings(messageSettings: MessageSettings)`                                                   | Customizes messages displayed in the feedback label during the capture and analysis process.                                                        |     ❌    |
| `setCompressSettings(compressionQuality: CGFloat)`                                                       | Configures the quality in the compression process. Expects values between `0.8` and `1.0`. Default: `0.9`.                                          |     ❌    |
| `setManualCaptureSettings(enable: Bool, time: TimeInterval)`                                             | Enables/disables manual capture. For iPhone X and below, manual capture is the default and only setting.                                            |     ❌    |
| `setGetImageUrlExpireTime(expireTime: String)`                                                           | Sets the time the image URL will last on the server until it expires. Accepts intervals like `30m`, `24h`, `10d`. Default: `3h`.                    |     ❌    |
| `setCurrentStepDoneDelay(currentStepDoneDelay: TimeInterval)`                                            | Delays the activity after the completion of each step. Default: `false`.                                                                            |     ❌    |
| `setUploadSettings(uploadSettings: CafUploadSettings)`                                                   | Configures document upload settings. The SDK flow will prompt the user to upload the document files instead of capturing them. Default: `disabled`. |     ❌    |
| `setResolutionSettings(resolution: CafResolution)`                                                       | Allows you to set the capture resolution. Options: `FULL_HD` (1920 x 1080), `ULTRA_HD` (3840 x 2160). Default: `FULL_HD`.                           |     ❌    |
| `setAllowedPassportList(passportList: [CafCountryCodes])`                                                | Restricts accepted passports to specific issuing countries. Default: all countries.                                                                 |     ❌    |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.caf.io/caf-sdk/ios/standalone-modules/document-detector/builder/methods.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
